package org.klomp.bpms.bpml;

import org.exolab.castor.types.AnyNode;

public class StandardParameter implements Parameter {
    private AnyNode documentation;
    /** Name of parameter. Required. */
    private String name;
    /** XSD type of parameter. Required. */
    private String type;
    
    private String element;
    
    /** Must be "required" or "optional". Default is "required". */
    private String use = "required";
    
    /** Whether parameter is used as input. Default is true. */
    private boolean input = true;
    
    /** Whether parameter is used as output. Default is false. */
    private boolean output = false;
    
    /** XML tree representing the value of the parameter. */
    private AnyNode value;
    
    public AnyNode getDocumentation() {
        return documentation;
    }

    public void setDocumentation(AnyNode documentation) {
        this.documentation = documentation;
    }

    public String getElement() {
        return element;
    }

    public boolean isInput() {
        return input;
    }

    public String getName() {
        return name;
    }

    public boolean isOutput() {
        return output;
    }

    public String getType() {
        return type;
    }

    public String getUse() {
        return use;
    }

    public AnyNode getValue() {
        return value;
    }

    public void setElement(String element) {
        this.element = element;
    }

    public void setInput(boolean input) {
        this.input = input;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setOutput(boolean output) {
        this.output = output;
    }

    public void setType(String type) {
        this.type = type;
    }

    public void setUse(String use) {
        this.use = use;
    }

    public void setValue(AnyNode value) {
        this.value = value;
    }

}
